Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / helptools / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2008 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42 VPATH = @srcdir@
43 am__is_gnu_make = { \
44   if test -z '$(MAKELEVEL)'; then \
45     false; \
46   elif test -n '$(MAKE_HOST)'; then \
47     true; \
48   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
49     true; \
50   else \
51     false; \
52   fi; \
53 }
54 am__make_running_with_option = \
55   case $${target_option-} in \
56       ?) ;; \
57       *) echo "am__make_running_with_option: internal error: invalid" \
58               "target option '$${target_option-}' specified" >&2; \
59          exit 1;; \
60   esac; \
61   has_opt=no; \
62   sane_makeflags=$$MAKEFLAGS; \
63   if $(am__is_gnu_make); then \
64     sane_makeflags=$$MFLAGS; \
65   else \
66     case $$MAKEFLAGS in \
67       *\\[\ \   ]*) \
68         bs=\\; \
69         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
70           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
71     esac; \
72   fi; \
73   skip_next=no; \
74   strip_trailopt () \
75   { \
76     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
77   }; \
78   for flg in $$sane_makeflags; do \
79     test $$skip_next = yes && { skip_next=no; continue; }; \
80     case $$flg in \
81       *=*|--*) continue;; \
82         -*I) strip_trailopt 'I'; skip_next=yes;; \
83       -*I?*) strip_trailopt 'I';; \
84         -*O) strip_trailopt 'O'; skip_next=yes;; \
85       -*O?*) strip_trailopt 'O';; \
86         -*l) strip_trailopt 'l'; skip_next=yes;; \
87       -*l?*) strip_trailopt 'l';; \
88       -[dEDm]) skip_next=yes;; \
89       -[JT]) skip_next=yes;; \
90     esac; \
91     case $$flg in \
92       *$$target_option*) has_opt=yes; break;; \
93     esac; \
94   done; \
95   test $$has_opt = yes
96 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
97 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
98 pkgdatadir = $(datadir)/@PACKAGE@
99 pkgincludedir = $(includedir)/@PACKAGE@
100 pkglibdir = $(libdir)/@PACKAGE@
101 pkglibexecdir = $(libexecdir)/@PACKAGE@
102 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
103 install_sh_DATA = $(install_sh) -c -m 644
104 install_sh_PROGRAM = $(install_sh) -c
105 install_sh_SCRIPT = $(install_sh) -c
106 INSTALL_HEADER = $(INSTALL_DATA)
107 transform = $(program_transform_name)
108 NORMAL_INSTALL = :
109 PRE_INSTALL = :
110 POST_INSTALL = :
111 NORMAL_UNINSTALL = :
112 PRE_UNINSTALL = :
113 POST_UNINSTALL = :
114 build_triplet = @build@
115 host_triplet = @host@
116 @NEED_JAVA_TRUE@am__append_1 = java
117 subdir = modules/helptools
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
120         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
121         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
122         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
123         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
124         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
125         $(top_srcdir)/m4/intel_compiler.m4 \
126         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
127         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
128         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
129         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
130         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
131         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
132         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
133         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
134         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
135         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
136         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
137 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
138         $(ACLOCAL_M4)
139 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
140 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
141 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
142 CONFIG_CLEAN_FILES =
143 CONFIG_CLEAN_VPATH_FILES =
144 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
145 am__vpath_adj = case $$p in \
146     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
147     *) f=$$p;; \
148   esac;
149 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
150 am__install_max = 40
151 am__nobase_strip_setup = \
152   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
153 am__nobase_strip = \
154   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
155 am__nobase_list = $(am__nobase_strip_setup); \
156   for p in $$list; do echo "$$p $$p"; done | \
157   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
158   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
159     if (++n[$$2] == $(am__install_max)) \
160       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
161     END { for (dir in files) print dir, files[dir] }'
162 am__base_list = \
163   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
164   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
165 am__uninstall_files_from_dir = { \
166   test -z "$$files" \
167     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
168     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
169          $(am__cd) "$$dir" && rm -f $$files; }; \
170   }
171 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
172         "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" \
173         "$(DESTDIR)$(libscihelptools_la_data_cssdir)" \
174         "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" \
175         "$(DESTDIR)$(libscihelptools_la_data_templatedir)" \
176         "$(DESTDIR)$(libscihelptools_la_etcdir)" \
177         "$(DESTDIR)$(libscihelptools_la_rootdir)" \
178         "$(DESTDIR)$(libscihelptools_la_schemadir)" \
179         "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" \
180         "$(DESTDIR)$(libscihelptools_la_xsl_fodir)"
181 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
182 libscihelptools_algo_la_LIBADD =
183 am__libscihelptools_algo_la_SOURCES_DIST = src/jni/BuildDocObject.cpp \
184         src/jni/SciDocMain.cpp
185 am__dirstamp = $(am__leading_dot)dirstamp
186 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_1 = src/jni/libscihelptools_algo_la-BuildDocObject.lo \
187 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/libscihelptools_algo_la-SciDocMain.lo
188 @BUILD_HELP_TRUE@@GUI_TRUE@am_libscihelptools_algo_la_OBJECTS =  \
189 @BUILD_HELP_TRUE@@GUI_TRUE@     $(am__objects_1)
190 libscihelptools_algo_la_OBJECTS =  \
191         $(am_libscihelptools_algo_la_OBJECTS)
192 AM_V_lt = $(am__v_lt_@AM_V@)
193 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
194 am__v_lt_0 = --silent
195 am__v_lt_1 = 
196 @BUILD_HELP_TRUE@@GUI_TRUE@am_libscihelptools_algo_la_rpath =
197 libscihelptools_disable_la_LIBADD =
198 am__libscihelptools_disable_la_SOURCES_DIST =  \
199         sci_gateway/nogui/nogui.cpp
200 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_2 = sci_gateway/nogui/libscihelptools_disable_la-nogui.lo
201 am_libscihelptools_disable_la_OBJECTS = $(am__objects_2)
202 libscihelptools_disable_la_OBJECTS =  \
203         $(am_libscihelptools_disable_la_OBJECTS)
204 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_la_DEPENDENCIES =  \
205 @BUILD_HELP_TRUE@@GUI_TRUE@     libscihelptools-algo.la \
206 @BUILD_HELP_TRUE@@GUI_TRUE@     $(top_builddir)/modules/commons/libscicommons.la
207 am__libscihelptools_la_SOURCES_DIST = sci_gateway/nogui/nogui.cpp \
208         sci_gateway/cpp/sci_buildDoc.cpp
209 @BUILD_HELP_FALSE@@GUI_TRUE@am__objects_3 = sci_gateway/nogui/libscihelptools_la-nogui.lo
210 @BUILD_HELP_TRUE@@GUI_TRUE@am__objects_3 = sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo
211 @GUI_FALSE@am__objects_3 =  \
212 @GUI_FALSE@     sci_gateway/nogui/libscihelptools_la-nogui.lo
213 am_libscihelptools_la_OBJECTS = $(am__objects_3)
214 libscihelptools_la_OBJECTS = $(am_libscihelptools_la_OBJECTS)
215 AM_V_P = $(am__v_P_@AM_V@)
216 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
217 am__v_P_0 = false
218 am__v_P_1 = :
219 AM_V_GEN = $(am__v_GEN_@AM_V@)
220 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
221 am__v_GEN_0 = @echo "  GEN     " $@;
222 am__v_GEN_1 = 
223 AM_V_at = $(am__v_at_@AM_V@)
224 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
225 am__v_at_0 = @
226 am__v_at_1 = 
227 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
228 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
229 am__maybe_remake_depfiles = depfiles
230 am__depfiles_remade =  \
231         sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo \
232         sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Plo \
233         sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Plo \
234         src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Plo \
235         src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Plo
236 am__mv = mv -f
237 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
238         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
239 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
240         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
241         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
242         $(AM_CXXFLAGS) $(CXXFLAGS)
243 AM_V_CXX = $(am__v_CXX_@AM_V@)
244 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
245 am__v_CXX_0 = @echo "  CXX     " $@;
246 am__v_CXX_1 = 
247 CXXLD = $(CXX)
248 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
249         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
250         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
251 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
252 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
253 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
254 am__v_CXXLD_1 = 
255 SOURCES = $(libscihelptools_algo_la_SOURCES) \
256         $(libscihelptools_disable_la_SOURCES) \
257         $(libscihelptools_la_SOURCES)
258 DIST_SOURCES = $(am__libscihelptools_algo_la_SOURCES_DIST) \
259         $(am__libscihelptools_disable_la_SOURCES_DIST) \
260         $(am__libscihelptools_la_SOURCES_DIST)
261 am__can_run_installinfo = \
262   case $$AM_UPDATE_INFO_DIR in \
263     n|no|NO) false;; \
264     *) (install-info --version) >/dev/null 2>&1;; \
265   esac
266 DATA = $(libscihelptools_la_data_configuration_DATA) \
267         $(libscihelptools_la_data_css_DATA) \
268         $(libscihelptools_la_data_pages_DATA) \
269         $(libscihelptools_la_data_template_DATA) \
270         $(libscihelptools_la_etc_DATA) $(libscihelptools_la_root_DATA) \
271         $(libscihelptools_la_schema_DATA) \
272         $(libscihelptools_la_sci_gateway_DATA) \
273         $(libscihelptools_la_xsl_fo_DATA)
274 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
275 # Read a list of newline-separated strings from the standard input,
276 # and print each of them once, without duplicates.  Input order is
277 # *not* preserved.
278 am__uniquify_input = $(AWK) '\
279   BEGIN { nonempty = 0; } \
280   { items[$$0] = 1; nonempty = 1; } \
281   END { if (nonempty) { for (i in items) print i; }; } \
282 '
283 # Make sure the list of sources is unique.  This is necessary because,
284 # e.g., the same source file might be shared among _SOURCES variables
285 # for different programs/libraries.
286 am__define_uniq_tagged_files = \
287   list='$(am__tagged_files)'; \
288   unique=`for i in $$list; do \
289     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
290   done | $(am__uniquify_input)`
291 ETAGS = etags
292 CTAGS = ctags
293 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
294         $(top_srcdir)/config/depcomp \
295         $(top_srcdir)/config/mkinstalldirs
296 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
297 ACLOCAL = @ACLOCAL@
298 ALL_LINGUAS = @ALL_LINGUAS@
299 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
300 AMTAR = @AMTAR@
301 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
302 ANT = @ANT@
303 ANTLR = @ANTLR@
304 AR = @AR@
305 ARPACK_LIBS = @ARPACK_LIBS@
306 ASM3 = @ASM3@
307 AUTOCONF = @AUTOCONF@
308 AUTOHEADER = @AUTOHEADER@
309 AUTOMAKE = @AUTOMAKE@
310 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
311 AWK = @AWK@
312 BATIK = @BATIK@
313 BLAS_CFLAGS = @BLAS_CFLAGS@
314 BLAS_LIBS = @BLAS_LIBS@
315 CC = @CC@
316 CCACHE = @CCACHE@
317 CCDEPMODE = @CCDEPMODE@
318 CFLAGS = @CFLAGS@
319 CHECKSTYLE = @CHECKSTYLE@
320 COBERTURA = @COBERTURA@
321 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
322 COMMONS_IO = @COMMONS_IO@
323 COMMONS_LOGGING = @COMMONS_LOGGING@
324 CPP = @CPP@
325 CPPFLAGS = @CPPFLAGS@
326 CURL_CFLAGS = @CURL_CFLAGS@
327 CURL_CONFIG = @CURL_CONFIG@
328 CURL_LIBS = @CURL_LIBS@
329 CURL_VERSION = @CURL_VERSION@
330 CXX = @CXX@
331 CXXCPP = @CXXCPP@
332 CXXDEPMODE = @CXXDEPMODE@
333 CXXFLAGS = @CXXFLAGS@
334 CYGPATH_W = @CYGPATH_W@
335 DEFS = @DEFS@
336 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
337 DEPDIR = @DEPDIR@
338 DLLTOOL = @DLLTOOL@
339 DOCBOOK_ROOT = @DOCBOOK_ROOT@
340 DOXYGEN_BIN = @DOXYGEN_BIN@
341 DSYMUTIL = @DSYMUTIL@
342 DUMPBIN = @DUMPBIN@
343 ECHO_C = @ECHO_C@
344 ECHO_N = @ECHO_N@
345 ECHO_T = @ECHO_T@
346 ECJ = @ECJ@
347 EGREP = @EGREP@
348 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
349 EXEEXT = @EXEEXT@
350 F77 = @F77@
351 FFLAGS = @FFLAGS@
352 FFTW3_LIB = @FFTW3_LIB@
353 FFTW_ENABLE = @FFTW_ENABLE@
354 FGREP = @FGREP@
355 FLEXDOCK = @FLEXDOCK@
356 FLIBS = @FLIBS@
357 FOP = @FOP@
358 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
359 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
360 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
361 FREEHEP_IO = @FREEHEP_IO@
362 FREEHEP_UTIL = @FREEHEP_UTIL@
363 GENHTML = @GENHTML@
364 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
365 GIWS_BIN = @GIWS_BIN@
366 GLUEGEN2_RT = @GLUEGEN2_RT@
367 GMSGFMT = @GMSGFMT@
368 GMSGFMT_015 = @GMSGFMT_015@
369 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
370 GREP = @GREP@
371 GUI_ENABLE = @GUI_ENABLE@
372 HAMCREST = @HAMCREST@
373 HAVE_CXX11 = @HAVE_CXX11@
374 HDF5_CFLAGS = @HDF5_CFLAGS@
375 HDF5_LIBS = @HDF5_LIBS@
376 HELP_ENABLE = @HELP_ENABLE@
377 INSTALL = @INSTALL@
378 INSTALL_DATA = @INSTALL_DATA@
379 INSTALL_PROGRAM = @INSTALL_PROGRAM@
380 INSTALL_SCRIPT = @INSTALL_SCRIPT@
381 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
382 INTLLIBS = @INTLLIBS@
383 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
384 JAR = @JAR@
385 JAVA = @JAVA@
386 JAVAC = @JAVAC@
387 JAVAC_DEBUG = @JAVAC_DEBUG@
388 JAVADOC = @JAVADOC@
389 JAVAH = @JAVAH@
390 JAVASCI_ENABLE = @JAVASCI_ENABLE@
391 JAVA_ENABLE = @JAVA_ENABLE@
392 JAVA_G = @JAVA_G@
393 JAVA_HOME = @JAVA_HOME@
394 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
395 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
396 JDB = @JDB@
397 JEUCLID_CORE = @JEUCLID_CORE@
398 JGRAPHX = @JGRAPHX@
399 JHALL = @JHALL@
400 JLATEXMATH = @JLATEXMATH@
401 JLATEXMATH_FOP = @JLATEXMATH_FOP@
402 JOGL2 = @JOGL2@
403 JROSETTA_API = @JROSETTA_API@
404 JROSETTA_ENGINE = @JROSETTA_ENGINE@
405 JUNIT4 = @JUNIT4@
406 LAPACK_LIBS = @LAPACK_LIBS@
407 LCOV = @LCOV@
408 LD = @LD@
409 LDFLAGS = @LDFLAGS@
410 LEX = @LEX@
411 LEXLIB = @LEXLIB@
412 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
413 LIBICONV = @LIBICONV@
414 LIBINTL = @LIBINTL@
415 LIBM = @LIBM@
416 LIBOBJS = @LIBOBJS@
417 LIBS = @LIBS@
418 LIBTOOL = @LIBTOOL@
419 LIPO = @LIPO@
420 LN_S = @LN_S@
421 LOGGING_LEVEL = @LOGGING_LEVEL@
422 LOOKS = @LOOKS@
423 LTLIBICONV = @LTLIBICONV@
424 LTLIBINTL = @LTLIBINTL@
425 LTLIBOBJS = @LTLIBOBJS@
426 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
427 LUCENE = @LUCENE@
428 LUCENE_ANALYZER = @LUCENE_ANALYZER@
429 LUCENE_PARSER = @LUCENE_PARSER@
430 MAINT = @MAINT@
431 MAKEINFO = @MAKEINFO@
432 MANIFEST_TOOL = @MANIFEST_TOOL@
433 MATIO_CFLAGS = @MATIO_CFLAGS@
434 MATIO_ENABLE = @MATIO_ENABLE@
435 MATIO_LIBS = @MATIO_LIBS@
436 MKDIR_P = @MKDIR_P@
437 MPI_ENABLE = @MPI_ENABLE@
438 MSGCAT = @MSGCAT@
439 MSGFMT = @MSGFMT@
440 MSGFMT_015 = @MSGFMT_015@
441 MSGMERGE = @MSGMERGE@
442 NM = @NM@
443 NMEDIT = @NMEDIT@
444 OBJDUMP = @OBJDUMP@
445 OBJEXT = @OBJEXT@
446 OCAMLC = @OCAMLC@
447 OCAMLDEP = @OCAMLDEP@
448 OCAMLLEX = @OCAMLLEX@
449 OCAMLOPT = @OCAMLOPT@
450 OCAMLYACC = @OCAMLYACC@
451 OPENMPI_CC = @OPENMPI_CC@
452 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
453 OPENMPI_CXX = @OPENMPI_CXX@
454 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
455 OPENMPI_LIBS = @OPENMPI_LIBS@
456 OPENMP_CFLAGS = @OPENMP_CFLAGS@
457 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
458 OPENMP_ENABLE = @OPENMP_ENABLE@
459 OPENMP_LIBS = @OPENMP_LIBS@
460 OTOOL = @OTOOL@
461 OTOOL64 = @OTOOL64@
462 PACKAGE = @PACKAGE@
463 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
464 PACKAGE_NAME = @PACKAGE_NAME@
465 PACKAGE_STRING = @PACKAGE_STRING@
466 PACKAGE_TARNAME = @PACKAGE_TARNAME@
467 PACKAGE_URL = @PACKAGE_URL@
468 PACKAGE_VERSION = @PACKAGE_VERSION@
469 PATH_SEPARATOR = @PATH_SEPARATOR@
470 PCRE_CFLAGS = @PCRE_CFLAGS@
471 PCRE_CONFIG = @PCRE_CONFIG@
472 PCRE_LIBS = @PCRE_LIBS@
473 PCRE_VERSION = @PCRE_VERSION@
474 PKG_CONFIG = @PKG_CONFIG@
475 POSUB = @POSUB@
476 POW_LIB = @POW_LIB@
477 PYTHON = @PYTHON@
478 RANLIB = @RANLIB@
479 RELOCATABLE = @RELOCATABLE@
480 RT_LIB = @RT_LIB@
481 SAXON = @SAXON@
482 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
483 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
484 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
485 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
486 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
487 SCIRENDERER = @SCIRENDERER@
488 SCIRENDERER_CP = @SCIRENDERER_CP@
489 SCI_CFLAGS = @SCI_CFLAGS@
490 SCI_CXXFLAGS = @SCI_CXXFLAGS@
491 SCI_FFLAGS = @SCI_FFLAGS@
492 SCI_LDFLAGS = @SCI_LDFLAGS@
493 SED = @SED@
494 SET_MAKE = @SET_MAKE@
495 SET_RELOCATABLE = @SET_RELOCATABLE@
496 SHELL = @SHELL@
497 SKINLF = @SKINLF@
498 SPLINT = @SPLINT@
499 STRIP = @STRIP@
500 SWIG_BIN = @SWIG_BIN@
501 SWIG_JAVA = @SWIG_JAVA@
502 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
503 SWIG_SCILAB = @SWIG_SCILAB@
504 TCLTK_LIBS = @TCLTK_LIBS@
505 TCL_INC_PATH = @TCL_INC_PATH@
506 TK_INC_PATH = @TK_INC_PATH@
507 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
508 UMFPACK_ENABLE = @UMFPACK_ENABLE@
509 UMFPACK_LIB = @UMFPACK_LIB@
510 USE_NLS = @USE_NLS@
511 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
512 VALGRIND_LIBS = @VALGRIND_LIBS@
513 VERSION = @VERSION@
514 WITH_OCAML = @WITH_OCAML@
515 WITH_TKSCI = @WITH_TKSCI@
516 XCOS_ENABLE = @XCOS_ENABLE@
517 XGETTEXT = @XGETTEXT@
518 XGETTEXT_015 = @XGETTEXT_015@
519 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
520 XMKMF = @XMKMF@
521 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
522 XML_APIS_EXT = @XML_APIS_EXT@
523 XML_CONFIG = @XML_CONFIG@
524 XML_FLAGS = @XML_FLAGS@
525 XML_LIBS = @XML_LIBS@
526 XML_VERSION = @XML_VERSION@
527 X_CFLAGS = @X_CFLAGS@
528 X_EXTRA_LIBS = @X_EXTRA_LIBS@
529 X_LIBS = @X_LIBS@
530 X_PRE_LIBS = @X_PRE_LIBS@
531 YACC = @YACC@
532 YFLAGS = @YFLAGS@
533 abs_builddir = @abs_builddir@
534 abs_srcdir = @abs_srcdir@
535 abs_top_builddir = @abs_top_builddir@
536 abs_top_srcdir = @abs_top_srcdir@
537 ac_ct_AR = @ac_ct_AR@
538 ac_ct_CC = @ac_ct_CC@
539 ac_ct_CXX = @ac_ct_CXX@
540 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
541 ac_ct_F77 = @ac_ct_F77@
542 am__include = @am__include@
543 am__leading_dot = @am__leading_dot@
544 am__quote = @am__quote@
545 am__tar = @am__tar@
546 am__untar = @am__untar@
547 bindir = @bindir@
548 build = @build@
549 build_alias = @build_alias@
550 build_cpu = @build_cpu@
551 build_os = @build_os@
552 build_vendor = @build_vendor@
553 builddir = @builddir@
554 cxx_present = @cxx_present@
555 datadir = @datadir@
556 datarootdir = @datarootdir@
557 docdir = @docdir@
558 dvidir = @dvidir@
559 exec_prefix = @exec_prefix@
560 host = @host@
561 host_alias = @host_alias@
562 host_cpu = @host_cpu@
563 host_os = @host_os@
564 host_vendor = @host_vendor@
565 htmldir = @htmldir@
566 includedir = @includedir@
567 infodir = @infodir@
568 install_sh = @install_sh@
569 libdir = @libdir@
570 libexecdir = @libexecdir@
571 localedir = @localedir@
572 localstatedir = @localstatedir@
573 mandir = @mandir@
574 mkdir_p = @mkdir_p@
575 oldincludedir = @oldincludedir@
576 pdfdir = @pdfdir@
577 prefix = @prefix@
578 program_transform_name = @program_transform_name@
579 psdir = @psdir@
580 sbindir = @sbindir@
581 sharedstatedir = @sharedstatedir@
582 srcdir = @srcdir@
583 sysconfdir = @sysconfdir@
584 target_alias = @target_alias@
585 top_build_prefix = @top_build_prefix@
586 top_builddir = @top_builddir@
587 top_srcdir = @top_srcdir@
588 yacc_present = @yacc_present@
589 @BUILD_HELP_TRUE@@GUI_TRUE@USEANT = 1
590 @BUILD_HELP_TRUE@@GUI_TRUE@HELPTOOLS_SOURCES = \
591 @BUILD_HELP_TRUE@@GUI_TRUE@    src/jni/BuildDocObject.cpp \
592 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/SciDocMain.cpp
593
594 @BUILD_HELP_FALSE@@GUI_TRUE@GATEWAY_CXX_SOURCES = sci_gateway/nogui/nogui.cpp
595 @BUILD_HELP_TRUE@@GUI_TRUE@GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_buildDoc.cpp
596 @GUI_FALSE@GATEWAY_CXX_SOURCES = sci_gateway/nogui/nogui.cpp
597 @BUILD_HELP_TRUE@@GUI_TRUE@GIWS_WRAPPERS = \
598 @BUILD_HELP_TRUE@@GUI_TRUE@    src/jni/BuildDocObject.giws.xml \
599 @BUILD_HELP_TRUE@@GUI_TRUE@     src/jni/BuildDocObjectv2.giws.xml
600
601 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_la_LIBADD = \
602 @BUILD_HELP_TRUE@@GUI_TRUE@    libscihelptools-algo.la \
603 @BUILD_HELP_TRUE@@GUI_TRUE@    $(top_builddir)/modules/commons/libscicommons.la
604
605 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_algo_la_SOURCES = $(HELPTOOLS_SOURCES)
606 @BUILD_HELP_TRUE@@GUI_TRUE@libscihelptools_algo_la_CPPFLAGS = $(libscihelptools_la_CPPFLAGS)
607 @BUILD_HELP_TRUE@@GUI_TRUE@noinst_LTLIBRARIES = libscihelptools-algo.la
608 @BUILD_HELP_TRUE@@GUI_TRUE@HELPTOOLS_DISABLE_CPP_SOURCES = sci_gateway/nogui/nogui.cpp
609 @BUILD_HELP_TRUE@@GIWS_TRUE@@GUI_TRUE@BUILT_SOURCES = giws
610 pkglib_LTLIBRARIES = libscihelptools.la libscihelptools-disable.la
611 libscihelptools_la_CPPFLAGS = \
612         $(JAVA_JNI_INCLUDE) \
613         -I$(srcdir)/src/jni/ \
614         -I$(srcdir)/includes/ \
615     -I$(top_srcdir)/modules/ast/includes/ast/ \
616     -I$(top_srcdir)/modules/ast/includes/exps/ \
617     -I$(top_srcdir)/modules/ast/includes/operations/ \
618     -I$(top_srcdir)/modules/ast/includes/parse/ \
619     -I$(top_srcdir)/modules/ast/includes/symbol/ \
620     -I$(top_srcdir)/modules/ast/includes/system_env/ \
621     -I$(top_srcdir)/modules/ast/includes/types/ \
622     -I$(top_srcdir)/modules/ast/includes/analysis/ \
623         -I$(top_srcdir)/modules/localization/includes/ \
624         -I$(top_srcdir)/modules/jvm/includes/ \
625         -I$(top_srcdir)/modules/output_stream/includes/ \
626         -I$(top_srcdir)/modules/api_scilab/includes/ \
627         -I$(top_srcdir)/modules/commons/src/jni \
628         -I$(top_srcdir)/modules/dynamic_link/includes \
629         -I$(top_srcdir)/modules/string/includes \
630         $(AM_CPPFLAGS)
631
632 libscihelptools_la_SOURCES = $(GATEWAY_CXX_SOURCES)
633 libscihelptools_disable_la_CPPFLAGS = $(libscihelptools_la_CPPFLAGS)
634 libscihelptools_disable_la_SOURCES = $(HELPTOOLS_DISABLE_CPP_SOURCES)
635
636 # For the code check (splint)
637 INCLUDE_FLAGS = $(libscihelptools_la_CFLAGS)
638
639 #### Target ######
640 modulename = helptools
641
642 #### helptools : Conf files ####
643 libscihelptools_la_rootdir = $(mydatadir)
644 libscihelptools_la_root_DATA = license.txt
645
646 #### helptools : init scripts ####
647 libscihelptools_la_etcdir = $(mydatadir)/etc
648 libscihelptools_la_etc_DATA = etc/helptools.quit etc/helptools.start etc/MAIN_CHAPTERS etc/fopconf.xml etc/SciDocConf.xml
649
650 #### helptools : gateway declaration ####
651 libscihelptools_la_sci_gatewaydir = $(mydatadir)/sci_gateway
652 libscihelptools_la_sci_gateway_DATA = sci_gateway/helptools_gateway.xml
653
654 #### New documentation generation system
655 libscihelptools_la_data_configurationdir = $(mydatadir)/data/configuration
656 libscihelptools_la_data_configuration_DATA = data/configuration/scilab_primitives.txt \
657 data/configuration/scilab_macros.txt
658
659 libscihelptools_la_data_templatedir = $(mydatadir)/data/template
660 libscihelptools_la_data_template_DATA = data/template/template_chm.html \
661 data/template/template_html.html \
662 data/template/template_javahelp.html \
663 data/template/template_web.html
664
665 libscihelptools_la_data_cssdir = $(mydatadir)/data/css
666 libscihelptools_la_data_css_DATA = data/css/scilab_code.css \
667 data/css/c_code.css \
668 data/css/xml_code.css \
669 data/css/style.css
670
671 libscihelptools_la_xsl_fodir = $(mydatadir)/xsl/fo
672 libscihelptools_la_xsl_fo_DATA = xsl/fo/docbook.xsl
673
674 #### helptools : schema files ####
675 libscihelptools_la_schemadir = $(mydatadir)/schema
676 libscihelptools_la_schema_DATA = \
677 schema/docbook.rng \
678 schema/dbits.rng \
679 schema/mathml3-common.rng \
680 schema/docbookxi.rng \
681 schema/mathml3-content.rng \
682 schema/mathml3.rng \
683 schema/scilab.rng \
684 schema/mathml3-presentation.rng \
685 schema/extendedStyle.xsl
686
687
688 #### helptools : pages files ####
689 libscihelptools_la_data_pagesdir = $(mydatadir)/data/pages
690 libscihelptools_la_data_pages_DATA = \
691 data/pages/CHANGES.html \
692 data/pages/error.html \
693 data/pages/homepage-en_US.html \
694 data/pages/homepage-fr_FR.html \
695 data/pages/ban-en_US.png \
696 data/pages/ban-fr_FR.png
697
698
699 # Where all the Scilab stuff is installed (macros, help, ...)
700 mydatadir = $(pkgdatadir)/modules/$(modulename)
701
702 # Set AM_* SCI detected settings
703 AM_CPPFLAGS = $(SCI_CPPFLAGS)
704 AM_CFLAGS = $(SCI_CFLAGS)
705 AM_CXXFLAGS = $(SCI_CXXFLAGS)
706 # append includes to AM_FFLAGS to manage fortran includes
707 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
708
709 # Tag shared libraries with the Scilab version
710 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
711
712 # splint options
713 SPLINT_OPTIONS = -weak -booltype BOOL
714
715 ########################### JAVA ######################################
716 #### We are delegating java compilation to ant... Thanks to that
717 #### the procedure will be the same with Microsoft Windows (C)
718 #### and Linux/Unix
719 #######################################################################
720 TARGETS_ALL = $(am__append_1)
721
722 ################ MACROS ######################
723 # Rule to build a macro
724 # NOT USED  AT THE MOMENT
725 SUFFIXES = .sci 
726
727 ########### INSTALL DOCUMENTATION ###################
728
729 # Install documentation files into the right target
730 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
731 # automake needs the html files to be present which is not the case when
732 # we are building Scilab
733
734 # Where it should be installed
735 pkgdocdir = $(mydatadir)
736
737 # What is the mask of the help source
738 DOCMASKXML = *.xml
739
740 # What is the mask of the MathML sources
741 DOCMASKMML = *.mml
742
743 ########### INSTALL DATA ###################
744 # Install macros, help & demos
745 # Where it should be installed
746 pkgmacrosdir = $(mydatadir)
747 # Which directory we process
748 MACRODIRS = macros/
749 # Mask of the Scilab sources macros
750 MACROMASK = *.sci
751 # Mask of the Scilab executable sources macros
752 MACROBUILDMASK = *.sce
753 # Mask of the Scilab compiled macros
754 MACROBINMASK = *.bin
755 # List of the standard directory for tests
756 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
757 # Where the demos should be installed
758 pkgdemosdir = $(mydatadir)
759 # List of the standard directory for demos
760 DEMOS_DIR = demos
761 # List of the standard directory for examples
762 EXAMPLES_DIR = examples
763 # Where to export JAVA archives (.jar)
764 JARDIR = jar/
765 # JAR files mask
766 JARMASK = *.jar
767 # Chapter file 
768 HELP_CHAPTERDIR = help/
769 HELP_CHAPTERFILE = addchapter.sce
770 HELP_CHAPTERLANG = en_US fr_FR pt_BR
771 all: $(BUILT_SOURCES)
772         $(MAKE) $(AM_MAKEFLAGS) all-am
773
774 .SUFFIXES:
775 .SUFFIXES: .sci .bin .cpp .lo .o .obj
776 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
777         @for dep in $?; do \
778           case '$(am__configure_deps)' in \
779             *$$dep*) \
780               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
781                 && { if test -f $@; then exit 0; else break; fi; }; \
782               exit 1;; \
783           esac; \
784         done; \
785         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/helptools/Makefile'; \
786         $(am__cd) $(top_srcdir) && \
787           $(AUTOMAKE) --foreign modules/helptools/Makefile
788 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
789         @case '$?' in \
790           *config.status*) \
791             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
792           *) \
793             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
794             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
795         esac;
796 $(top_srcdir)/Makefile.incl.am $(am__empty):
797
798 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
799         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800
801 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
802         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
803 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
804         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
805 $(am__aclocal_m4_deps):
806
807 clean-noinstLTLIBRARIES:
808         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
809         @list='$(noinst_LTLIBRARIES)'; \
810         locs=`for p in $$list; do echo $$p; done | \
811               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
812               sort -u`; \
813         test -z "$$locs" || { \
814           echo rm -f $${locs}; \
815           rm -f $${locs}; \
816         }
817
818 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
819         @$(NORMAL_INSTALL)
820         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
821         list2=; for p in $$list; do \
822           if test -f $$p; then \
823             list2="$$list2 $$p"; \
824           else :; fi; \
825         done; \
826         test -z "$$list2" || { \
827           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
828           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
829           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
830           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
831         }
832
833 uninstall-pkglibLTLIBRARIES:
834         @$(NORMAL_UNINSTALL)
835         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
836         for p in $$list; do \
837           $(am__strip_dir) \
838           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
839           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
840         done
841
842 clean-pkglibLTLIBRARIES:
843         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
844         @list='$(pkglib_LTLIBRARIES)'; \
845         locs=`for p in $$list; do echo $$p; done | \
846               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
847               sort -u`; \
848         test -z "$$locs" || { \
849           echo rm -f $${locs}; \
850           rm -f $${locs}; \
851         }
852 src/jni/$(am__dirstamp):
853         @$(MKDIR_P) src/jni
854         @: > src/jni/$(am__dirstamp)
855 src/jni/$(DEPDIR)/$(am__dirstamp):
856         @$(MKDIR_P) src/jni/$(DEPDIR)
857         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
858 src/jni/libscihelptools_algo_la-BuildDocObject.lo:  \
859         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
860 src/jni/libscihelptools_algo_la-SciDocMain.lo:  \
861         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
862
863 libscihelptools-algo.la: $(libscihelptools_algo_la_OBJECTS) $(libscihelptools_algo_la_DEPENDENCIES) $(EXTRA_libscihelptools_algo_la_DEPENDENCIES) 
864         $(AM_V_CXXLD)$(CXXLINK) $(am_libscihelptools_algo_la_rpath) $(libscihelptools_algo_la_OBJECTS) $(libscihelptools_algo_la_LIBADD) $(LIBS)
865 sci_gateway/nogui/$(am__dirstamp):
866         @$(MKDIR_P) sci_gateway/nogui
867         @: > sci_gateway/nogui/$(am__dirstamp)
868 sci_gateway/nogui/$(DEPDIR)/$(am__dirstamp):
869         @$(MKDIR_P) sci_gateway/nogui/$(DEPDIR)
870         @: > sci_gateway/nogui/$(DEPDIR)/$(am__dirstamp)
871 sci_gateway/nogui/libscihelptools_disable_la-nogui.lo:  \
872         sci_gateway/nogui/$(am__dirstamp) \
873         sci_gateway/nogui/$(DEPDIR)/$(am__dirstamp)
874
875 libscihelptools-disable.la: $(libscihelptools_disable_la_OBJECTS) $(libscihelptools_disable_la_DEPENDENCIES) $(EXTRA_libscihelptools_disable_la_DEPENDENCIES) 
876         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscihelptools_disable_la_OBJECTS) $(libscihelptools_disable_la_LIBADD) $(LIBS)
877 sci_gateway/nogui/libscihelptools_la-nogui.lo:  \
878         sci_gateway/nogui/$(am__dirstamp) \
879         sci_gateway/nogui/$(DEPDIR)/$(am__dirstamp)
880 sci_gateway/cpp/$(am__dirstamp):
881         @$(MKDIR_P) sci_gateway/cpp
882         @: > sci_gateway/cpp/$(am__dirstamp)
883 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
884         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
885         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
886 sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo:  \
887         sci_gateway/cpp/$(am__dirstamp) \
888         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
889
890 libscihelptools.la: $(libscihelptools_la_OBJECTS) $(libscihelptools_la_DEPENDENCIES) $(EXTRA_libscihelptools_la_DEPENDENCIES) 
891         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscihelptools_la_OBJECTS) $(libscihelptools_la_LIBADD) $(LIBS)
892
893 mostlyclean-compile:
894         -rm -f *.$(OBJEXT)
895         -rm -f sci_gateway/cpp/*.$(OBJEXT)
896         -rm -f sci_gateway/cpp/*.lo
897         -rm -f sci_gateway/nogui/*.$(OBJEXT)
898         -rm -f sci_gateway/nogui/*.lo
899         -rm -f src/jni/*.$(OBJEXT)
900         -rm -f src/jni/*.lo
901
902 distclean-compile:
903         -rm -f *.tab.c
904
905 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo@am__quote@ # am--include-marker
906 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Plo@am__quote@ # am--include-marker
907 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Plo@am__quote@ # am--include-marker
908 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Plo@am__quote@ # am--include-marker
909 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Plo@am__quote@ # am--include-marker
910
911 $(am__depfiles_remade):
912         @$(MKDIR_P) $(@D)
913         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
914
915 am--depfiles: $(am__depfiles_remade)
916
917 .cpp.o:
918 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
919 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
920 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
921 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
924
925 .cpp.obj:
926 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
927 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
928 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
929 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
932
933 .cpp.lo:
934 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
935 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
936 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
937 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
938 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
940
941 src/jni/libscihelptools_algo_la-BuildDocObject.lo: src/jni/BuildDocObject.cpp
942 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscihelptools_algo_la-BuildDocObject.lo -MD -MP -MF src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Tpo -c -o src/jni/libscihelptools_algo_la-BuildDocObject.lo `test -f 'src/jni/BuildDocObject.cpp' || echo '$(srcdir)/'`src/jni/BuildDocObject.cpp
943 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Tpo src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Plo
944 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BuildDocObject.cpp' object='src/jni/libscihelptools_algo_la-BuildDocObject.lo' libtool=yes @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscihelptools_algo_la-BuildDocObject.lo `test -f 'src/jni/BuildDocObject.cpp' || echo '$(srcdir)/'`src/jni/BuildDocObject.cpp
947
948 src/jni/libscihelptools_algo_la-SciDocMain.lo: src/jni/SciDocMain.cpp
949 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscihelptools_algo_la-SciDocMain.lo -MD -MP -MF src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Tpo -c -o src/jni/libscihelptools_algo_la-SciDocMain.lo `test -f 'src/jni/SciDocMain.cpp' || echo '$(srcdir)/'`src/jni/SciDocMain.cpp
950 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Tpo src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Plo
951 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/SciDocMain.cpp' object='src/jni/libscihelptools_algo_la-SciDocMain.lo' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscihelptools_algo_la-SciDocMain.lo `test -f 'src/jni/SciDocMain.cpp' || echo '$(srcdir)/'`src/jni/SciDocMain.cpp
954
955 sci_gateway/nogui/libscihelptools_disable_la-nogui.lo: sci_gateway/nogui/nogui.cpp
956 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/nogui/libscihelptools_disable_la-nogui.lo -MD -MP -MF sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Tpo -c -o sci_gateway/nogui/libscihelptools_disable_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.cpp' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.cpp
957 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Tpo sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Plo
958 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/nogui/nogui.cpp' object='sci_gateway/nogui/libscihelptools_disable_la-nogui.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/nogui/libscihelptools_disable_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.cpp' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.cpp
961
962 sci_gateway/nogui/libscihelptools_la-nogui.lo: sci_gateway/nogui/nogui.cpp
963 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/nogui/libscihelptools_la-nogui.lo -MD -MP -MF sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Tpo -c -o sci_gateway/nogui/libscihelptools_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.cpp' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.cpp
964 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Tpo sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Plo
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/nogui/nogui.cpp' object='sci_gateway/nogui/libscihelptools_la-nogui.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/nogui/libscihelptools_la-nogui.lo `test -f 'sci_gateway/nogui/nogui.cpp' || echo '$(srcdir)/'`sci_gateway/nogui/nogui.cpp
968
969 sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo: sci_gateway/cpp/sci_buildDoc.cpp
970 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Tpo -c -o sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo `test -f 'sci_gateway/cpp/sci_buildDoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDoc.cpp
971 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Tpo sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_buildDoc.cpp' object='sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscihelptools_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscihelptools_la-sci_buildDoc.lo `test -f 'sci_gateway/cpp/sci_buildDoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_buildDoc.cpp
975
976 mostlyclean-libtool:
977         -rm -f *.lo
978
979 clean-libtool:
980         -rm -rf .libs _libs
981         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
982         -rm -rf sci_gateway/nogui/.libs sci_gateway/nogui/_libs
983         -rm -rf src/jni/.libs src/jni/_libs
984 install-libscihelptools_la_data_configurationDATA: $(libscihelptools_la_data_configuration_DATA)
985         @$(NORMAL_INSTALL)
986         @list='$(libscihelptools_la_data_configuration_DATA)'; test -n "$(libscihelptools_la_data_configurationdir)" || list=; \
987         if test -n "$$list"; then \
988           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_data_configurationdir)'"; \
989           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" || exit 1; \
990         fi; \
991         for p in $$list; do \
992           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
993           echo "$$d$$p"; \
994         done | $(am__base_list) | \
995         while read files; do \
996           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_configurationdir)'"; \
997           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" || exit $$?; \
998         done
999
1000 uninstall-libscihelptools_la_data_configurationDATA:
1001         @$(NORMAL_UNINSTALL)
1002         @list='$(libscihelptools_la_data_configuration_DATA)'; test -n "$(libscihelptools_la_data_configurationdir)" || list=; \
1003         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1004         dir='$(DESTDIR)$(libscihelptools_la_data_configurationdir)'; $(am__uninstall_files_from_dir)
1005 install-libscihelptools_la_data_cssDATA: $(libscihelptools_la_data_css_DATA)
1006         @$(NORMAL_INSTALL)
1007         @list='$(libscihelptools_la_data_css_DATA)'; test -n "$(libscihelptools_la_data_cssdir)" || list=; \
1008         if test -n "$$list"; then \
1009           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_data_cssdir)'"; \
1010           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_cssdir)" || exit 1; \
1011         fi; \
1012         for p in $$list; do \
1013           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1014           echo "$$d$$p"; \
1015         done | $(am__base_list) | \
1016         while read files; do \
1017           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_cssdir)'"; \
1018           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_cssdir)" || exit $$?; \
1019         done
1020
1021 uninstall-libscihelptools_la_data_cssDATA:
1022         @$(NORMAL_UNINSTALL)
1023         @list='$(libscihelptools_la_data_css_DATA)'; test -n "$(libscihelptools_la_data_cssdir)" || list=; \
1024         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1025         dir='$(DESTDIR)$(libscihelptools_la_data_cssdir)'; $(am__uninstall_files_from_dir)
1026 install-libscihelptools_la_data_pagesDATA: $(libscihelptools_la_data_pages_DATA)
1027         @$(NORMAL_INSTALL)
1028         @list='$(libscihelptools_la_data_pages_DATA)'; test -n "$(libscihelptools_la_data_pagesdir)" || list=; \
1029         if test -n "$$list"; then \
1030           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_data_pagesdir)'"; \
1031           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" || exit 1; \
1032         fi; \
1033         for p in $$list; do \
1034           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1035           echo "$$d$$p"; \
1036         done | $(am__base_list) | \
1037         while read files; do \
1038           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_pagesdir)'"; \
1039           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" || exit $$?; \
1040         done
1041
1042 uninstall-libscihelptools_la_data_pagesDATA:
1043         @$(NORMAL_UNINSTALL)
1044         @list='$(libscihelptools_la_data_pages_DATA)'; test -n "$(libscihelptools_la_data_pagesdir)" || list=; \
1045         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1046         dir='$(DESTDIR)$(libscihelptools_la_data_pagesdir)'; $(am__uninstall_files_from_dir)
1047 install-libscihelptools_la_data_templateDATA: $(libscihelptools_la_data_template_DATA)
1048         @$(NORMAL_INSTALL)
1049         @list='$(libscihelptools_la_data_template_DATA)'; test -n "$(libscihelptools_la_data_templatedir)" || list=; \
1050         if test -n "$$list"; then \
1051           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_data_templatedir)'"; \
1052           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_data_templatedir)" || exit 1; \
1053         fi; \
1054         for p in $$list; do \
1055           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1056           echo "$$d$$p"; \
1057         done | $(am__base_list) | \
1058         while read files; do \
1059           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_data_templatedir)'"; \
1060           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_data_templatedir)" || exit $$?; \
1061         done
1062
1063 uninstall-libscihelptools_la_data_templateDATA:
1064         @$(NORMAL_UNINSTALL)
1065         @list='$(libscihelptools_la_data_template_DATA)'; test -n "$(libscihelptools_la_data_templatedir)" || list=; \
1066         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1067         dir='$(DESTDIR)$(libscihelptools_la_data_templatedir)'; $(am__uninstall_files_from_dir)
1068 install-libscihelptools_la_etcDATA: $(libscihelptools_la_etc_DATA)
1069         @$(NORMAL_INSTALL)
1070         @list='$(libscihelptools_la_etc_DATA)'; test -n "$(libscihelptools_la_etcdir)" || list=; \
1071         if test -n "$$list"; then \
1072           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_etcdir)'"; \
1073           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_etcdir)" || exit 1; \
1074         fi; \
1075         for p in $$list; do \
1076           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1077           echo "$$d$$p"; \
1078         done | $(am__base_list) | \
1079         while read files; do \
1080           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_etcdir)'"; \
1081           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_etcdir)" || exit $$?; \
1082         done
1083
1084 uninstall-libscihelptools_la_etcDATA:
1085         @$(NORMAL_UNINSTALL)
1086         @list='$(libscihelptools_la_etc_DATA)'; test -n "$(libscihelptools_la_etcdir)" || list=; \
1087         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1088         dir='$(DESTDIR)$(libscihelptools_la_etcdir)'; $(am__uninstall_files_from_dir)
1089 install-libscihelptools_la_rootDATA: $(libscihelptools_la_root_DATA)
1090         @$(NORMAL_INSTALL)
1091         @list='$(libscihelptools_la_root_DATA)'; test -n "$(libscihelptools_la_rootdir)" || list=; \
1092         if test -n "$$list"; then \
1093           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_rootdir)'"; \
1094           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_rootdir)" || exit 1; \
1095         fi; \
1096         for p in $$list; do \
1097           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1098           echo "$$d$$p"; \
1099         done | $(am__base_list) | \
1100         while read files; do \
1101           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_rootdir)'"; \
1102           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_rootdir)" || exit $$?; \
1103         done
1104
1105 uninstall-libscihelptools_la_rootDATA:
1106         @$(NORMAL_UNINSTALL)
1107         @list='$(libscihelptools_la_root_DATA)'; test -n "$(libscihelptools_la_rootdir)" || list=; \
1108         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1109         dir='$(DESTDIR)$(libscihelptools_la_rootdir)'; $(am__uninstall_files_from_dir)
1110 install-libscihelptools_la_schemaDATA: $(libscihelptools_la_schema_DATA)
1111         @$(NORMAL_INSTALL)
1112         @list='$(libscihelptools_la_schema_DATA)'; test -n "$(libscihelptools_la_schemadir)" || list=; \
1113         if test -n "$$list"; then \
1114           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_schemadir)'"; \
1115           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_schemadir)" || exit 1; \
1116         fi; \
1117         for p in $$list; do \
1118           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1119           echo "$$d$$p"; \
1120         done | $(am__base_list) | \
1121         while read files; do \
1122           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_schemadir)'"; \
1123           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_schemadir)" || exit $$?; \
1124         done
1125
1126 uninstall-libscihelptools_la_schemaDATA:
1127         @$(NORMAL_UNINSTALL)
1128         @list='$(libscihelptools_la_schema_DATA)'; test -n "$(libscihelptools_la_schemadir)" || list=; \
1129         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1130         dir='$(DESTDIR)$(libscihelptools_la_schemadir)'; $(am__uninstall_files_from_dir)
1131 install-libscihelptools_la_sci_gatewayDATA: $(libscihelptools_la_sci_gateway_DATA)
1132         @$(NORMAL_INSTALL)
1133         @list='$(libscihelptools_la_sci_gateway_DATA)'; test -n "$(libscihelptools_la_sci_gatewaydir)" || list=; \
1134         if test -n "$$list"; then \
1135           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)'"; \
1136           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" || exit 1; \
1137         fi; \
1138         for p in $$list; do \
1139           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1140           echo "$$d$$p"; \
1141         done | $(am__base_list) | \
1142         while read files; do \
1143           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)'"; \
1144           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" || exit $$?; \
1145         done
1146
1147 uninstall-libscihelptools_la_sci_gatewayDATA:
1148         @$(NORMAL_UNINSTALL)
1149         @list='$(libscihelptools_la_sci_gateway_DATA)'; test -n "$(libscihelptools_la_sci_gatewaydir)" || list=; \
1150         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1151         dir='$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1152 install-libscihelptools_la_xsl_foDATA: $(libscihelptools_la_xsl_fo_DATA)
1153         @$(NORMAL_INSTALL)
1154         @list='$(libscihelptools_la_xsl_fo_DATA)'; test -n "$(libscihelptools_la_xsl_fodir)" || list=; \
1155         if test -n "$$list"; then \
1156           echo " $(MKDIR_P) '$(DESTDIR)$(libscihelptools_la_xsl_fodir)'"; \
1157           $(MKDIR_P) "$(DESTDIR)$(libscihelptools_la_xsl_fodir)" || exit 1; \
1158         fi; \
1159         for p in $$list; do \
1160           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1161           echo "$$d$$p"; \
1162         done | $(am__base_list) | \
1163         while read files; do \
1164           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscihelptools_la_xsl_fodir)'"; \
1165           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscihelptools_la_xsl_fodir)" || exit $$?; \
1166         done
1167
1168 uninstall-libscihelptools_la_xsl_foDATA:
1169         @$(NORMAL_UNINSTALL)
1170         @list='$(libscihelptools_la_xsl_fo_DATA)'; test -n "$(libscihelptools_la_xsl_fodir)" || list=; \
1171         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1172         dir='$(DESTDIR)$(libscihelptools_la_xsl_fodir)'; $(am__uninstall_files_from_dir)
1173
1174 ID: $(am__tagged_files)
1175         $(am__define_uniq_tagged_files); mkid -fID $$unique
1176 tags: tags-am
1177 TAGS: tags
1178
1179 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1180         set x; \
1181         here=`pwd`; \
1182         $(am__define_uniq_tagged_files); \
1183         shift; \
1184         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1185           test -n "$$unique" || unique=$$empty_fix; \
1186           if test $$# -gt 0; then \
1187             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1188               "$$@" $$unique; \
1189           else \
1190             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1191               $$unique; \
1192           fi; \
1193         fi
1194 ctags: ctags-am
1195
1196 CTAGS: ctags
1197 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1198         $(am__define_uniq_tagged_files); \
1199         test -z "$(CTAGS_ARGS)$$unique" \
1200           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1201              $$unique
1202
1203 GTAGS:
1204         here=`$(am__cd) $(top_builddir) && pwd` \
1205           && $(am__cd) $(top_srcdir) \
1206           && gtags -i $(GTAGS_ARGS) "$$here"
1207 cscopelist: cscopelist-am
1208
1209 cscopelist-am: $(am__tagged_files)
1210         list='$(am__tagged_files)'; \
1211         case "$(srcdir)" in \
1212           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1213           *) sdir=$(subdir)/$(srcdir) ;; \
1214         esac; \
1215         for i in $$list; do \
1216           if test -f "$$i"; then \
1217             echo "$(subdir)/$$i"; \
1218           else \
1219             echo "$$sdir/$$i"; \
1220           fi; \
1221         done >> $(top_builddir)/cscope.files
1222
1223 distclean-tags:
1224         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1225
1226 distdir: $(BUILT_SOURCES)
1227         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1228
1229 distdir-am: $(DISTFILES)
1230         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1232         list='$(DISTFILES)'; \
1233           dist_files=`for file in $$list; do echo $$file; done | \
1234           sed -e "s|^$$srcdirstrip/||;t" \
1235               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1236         case $$dist_files in \
1237           */*) $(MKDIR_P) `echo "$$dist_files" | \
1238                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1239                            sort -u` ;; \
1240         esac; \
1241         for file in $$dist_files; do \
1242           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1243           if test -d $$d/$$file; then \
1244             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1245             if test -d "$(distdir)/$$file"; then \
1246               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1247             fi; \
1248             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1249               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1250               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1251             fi; \
1252             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1253           else \
1254             test -f "$(distdir)/$$file" \
1255             || cp -p $$d/$$file "$(distdir)/$$file" \
1256             || exit 1; \
1257           fi; \
1258         done
1259 check-am: all-am
1260         $(MAKE) $(AM_MAKEFLAGS) check-local
1261 check: $(BUILT_SOURCES)
1262         $(MAKE) $(AM_MAKEFLAGS) check-am
1263 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1264 installdirs:
1265         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscihelptools_la_data_configurationdir)" "$(DESTDIR)$(libscihelptools_la_data_cssdir)" "$(DESTDIR)$(libscihelptools_la_data_pagesdir)" "$(DESTDIR)$(libscihelptools_la_data_templatedir)" "$(DESTDIR)$(libscihelptools_la_etcdir)" "$(DESTDIR)$(libscihelptools_la_rootdir)" "$(DESTDIR)$(libscihelptools_la_schemadir)" "$(DESTDIR)$(libscihelptools_la_sci_gatewaydir)" "$(DESTDIR)$(libscihelptools_la_xsl_fodir)"; do \
1266           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1267         done
1268 install: $(BUILT_SOURCES)
1269         $(MAKE) $(AM_MAKEFLAGS) install-am
1270 install-exec: install-exec-am
1271 install-data: install-data-am
1272 uninstall: uninstall-am
1273
1274 install-am: all-am
1275         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1276
1277 installcheck: installcheck-am
1278 install-strip:
1279         if test -z '$(STRIP)'; then \
1280           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1281             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1282               install; \
1283         else \
1284           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1285             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1286             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1287         fi
1288 mostlyclean-generic:
1289
1290 clean-generic:
1291
1292 distclean-generic:
1293         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1294         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1295         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1296         -rm -f sci_gateway/cpp/$(am__dirstamp)
1297         -rm -f sci_gateway/nogui/$(DEPDIR)/$(am__dirstamp)
1298         -rm -f sci_gateway/nogui/$(am__dirstamp)
1299         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1300         -rm -f src/jni/$(am__dirstamp)
1301
1302 maintainer-clean-generic:
1303         @echo "This command is intended for maintainers to use"
1304         @echo "it deletes files that may require special tools to rebuild."
1305         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1306 clean: clean-am
1307
1308 clean-am: clean-generic clean-libtool clean-local \
1309         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1310
1311 distclean: distclean-am
1312                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo
1313         -rm -f sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Plo
1314         -rm -f sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Plo
1315         -rm -f src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Plo
1316         -rm -f src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Plo
1317         -rm -f Makefile
1318 distclean-am: clean-am distclean-compile distclean-generic \
1319         distclean-local distclean-tags
1320
1321 dvi: dvi-am
1322
1323 dvi-am:
1324
1325 html: html-am
1326
1327 html-am:
1328
1329 info: info-am
1330
1331 info-am:
1332
1333 install-data-am: install-data-local \
1334         install-libscihelptools_la_data_configurationDATA \
1335         install-libscihelptools_la_data_cssDATA \
1336         install-libscihelptools_la_data_pagesDATA \
1337         install-libscihelptools_la_data_templateDATA \
1338         install-libscihelptools_la_etcDATA \
1339         install-libscihelptools_la_rootDATA \
1340         install-libscihelptools_la_schemaDATA \
1341         install-libscihelptools_la_sci_gatewayDATA \
1342         install-libscihelptools_la_xsl_foDATA
1343
1344 install-dvi: install-dvi-am
1345
1346 install-dvi-am:
1347
1348 install-exec-am: install-pkglibLTLIBRARIES
1349
1350 install-html: install-html-am
1351
1352 install-html-am: install-html-local
1353
1354 install-info: install-info-am
1355
1356 install-info-am:
1357
1358 install-man:
1359
1360 install-pdf: install-pdf-am
1361
1362 install-pdf-am:
1363
1364 install-ps: install-ps-am
1365
1366 install-ps-am:
1367
1368 installcheck-am:
1369
1370 maintainer-clean: maintainer-clean-am
1371                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscihelptools_la-sci_buildDoc.Plo
1372         -rm -f sci_gateway/nogui/$(DEPDIR)/libscihelptools_disable_la-nogui.Plo
1373         -rm -f sci_gateway/nogui/$(DEPDIR)/libscihelptools_la-nogui.Plo
1374         -rm -f src/jni/$(DEPDIR)/libscihelptools_algo_la-BuildDocObject.Plo
1375         -rm -f src/jni/$(DEPDIR)/libscihelptools_algo_la-SciDocMain.Plo
1376         -rm -f Makefile
1377 maintainer-clean-am: distclean-am maintainer-clean-generic
1378
1379 mostlyclean: mostlyclean-am
1380
1381 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1382         mostlyclean-libtool mostlyclean-local
1383
1384 pdf: pdf-am
1385
1386 pdf-am:
1387
1388 ps: ps-am
1389
1390 ps-am:
1391
1392 uninstall-am: uninstall-libscihelptools_la_data_configurationDATA \
1393         uninstall-libscihelptools_la_data_cssDATA \
1394         uninstall-libscihelptools_la_data_pagesDATA \
1395         uninstall-libscihelptools_la_data_templateDATA \
1396         uninstall-libscihelptools_la_etcDATA \
1397         uninstall-libscihelptools_la_rootDATA \
1398         uninstall-libscihelptools_la_schemaDATA \
1399         uninstall-libscihelptools_la_sci_gatewayDATA \
1400         uninstall-libscihelptools_la_xsl_foDATA \
1401         uninstall-pkglibLTLIBRARIES
1402
1403 .MAKE: all check check-am install install-am install-strip
1404
1405 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1406         check-am check-local clean clean-generic clean-libtool \
1407         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1408         cscopelist-am ctags ctags-am distclean distclean-compile \
1409         distclean-generic distclean-libtool distclean-local \
1410         distclean-tags distdir dvi dvi-am html html-am info info-am \
1411         install install-am install-data install-data-am \
1412         install-data-local install-dvi install-dvi-am install-exec \
1413         install-exec-am install-html install-html-am \
1414         install-html-local install-info install-info-am \
1415         install-libscihelptools_la_data_configurationDATA \
1416         install-libscihelptools_la_data_cssDATA \
1417         install-libscihelptools_la_data_pagesDATA \
1418         install-libscihelptools_la_data_templateDATA \
1419         install-libscihelptools_la_etcDATA \
1420         install-libscihelptools_la_rootDATA \
1421         install-libscihelptools_la_schemaDATA \
1422         install-libscihelptools_la_sci_gatewayDATA \
1423         install-libscihelptools_la_xsl_foDATA install-man install-pdf \
1424         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1425         install-ps-am install-strip installcheck installcheck-am \
1426         installdirs maintainer-clean maintainer-clean-generic \
1427         mostlyclean mostlyclean-compile mostlyclean-generic \
1428         mostlyclean-libtool mostlyclean-local pdf pdf-am ps ps-am tags \
1429         tags-am uninstall uninstall-am \
1430         uninstall-libscihelptools_la_data_configurationDATA \
1431         uninstall-libscihelptools_la_data_cssDATA \
1432         uninstall-libscihelptools_la_data_pagesDATA \
1433         uninstall-libscihelptools_la_data_templateDATA \
1434         uninstall-libscihelptools_la_etcDATA \
1435         uninstall-libscihelptools_la_rootDATA \
1436         uninstall-libscihelptools_la_schemaDATA \
1437         uninstall-libscihelptools_la_sci_gatewayDATA \
1438         uninstall-libscihelptools_la_xsl_foDATA \
1439         uninstall-pkglibLTLIBRARIES
1440
1441 .PRECIOUS: Makefile
1442
1443
1444 mostlyclean-local:
1445         rm -rf web javaHelp html pdf
1446
1447 # This target enables tests for Scilab
1448 check-local: $(top_builddir)/scilab-bin test
1449         if test -d $(mydatadir)/tests; then \
1450           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1451         fi
1452 check-code:
1453         if test -f build.xml; then \
1454                 $(ANT) checkstyle; \
1455         fi
1456         if test -x "$(SPLINT)"; then \
1457                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1458         fi
1459 @NEED_JAVA_TRUE@java:
1460 # Some configurations needs to export JAVA_HOME in the current env
1461 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1462 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1463 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1464 @NEED_JAVA_TRUE@                $(ANT); \
1465 @NEED_JAVA_TRUE@        fi
1466
1467 @NEED_JAVA_TRUE@clean-java:
1468 # Some configurations needs to export JAVA_HOME in the current env
1469 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1470 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1471 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1472 @NEED_JAVA_TRUE@                $(ANT) clean; \
1473 @NEED_JAVA_TRUE@        fi;
1474
1475 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1476 # We call the target swig-build on the variable SWIG_WRAPPERS
1477
1478 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1479 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1480 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1481 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1482 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1483 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1484 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1485 @SWIG_TRUE@             done; \
1486 @SWIG_TRUE@     fi
1487
1488 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1489 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1490 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1491 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1492 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1493 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1494 @SWIG_TRUE@             done; \
1495 @SWIG_TRUE@     fi
1496
1497 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1498 # We call the target swig-build on the variable SWIG_WRAPPERS
1499
1500 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1501 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1502 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1503 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1504 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1505 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1506 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1507 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1508 @GIWS_TRUE@                     else \
1509 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1510 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1511 @GIWS_TRUE@                     fi \
1512 @GIWS_TRUE@             done; \
1513 @GIWS_TRUE@     fi
1514
1515 @GIWS_TRUE@giws-exception:
1516 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1517 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1518 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1519
1520 macros:
1521         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1522                 echo "Error : Cannot build $< : Scilab has not been built"; \
1523         else \
1524                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1525         fi)
1526
1527 # Removes the macros
1528 clean-macros:
1529 # Removes macros (*.bin generated from .sci)
1530         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1531                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1532                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1533         done
1534
1535 test:
1536 # More tests could be added here
1537         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1538         if test -f build.xml -a $$USEANT -eq 1; then \
1539                 $(ANT) test; \
1540         fi
1541
1542 all-local: $(TARGETS_ALL)
1543
1544 .sci.bin:
1545         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1546         echo "Error : Cannot build $< : Scilab has not been build"; \
1547         else \
1548         echo "Creating $@"; \
1549         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1550         fi )
1551
1552 install-html-local:
1553
1554 install-data-local-local:
1555 # Mainly for javasci
1556         @if test -d $(srcdir)/javadoc; then \
1557                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1558         fi
1559 # If the user wants the help sources to be installed
1560 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1561 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1562 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1563 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1564 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1565 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1566 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1567 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1568 @INSTALL_HELP_XML_TRUE@           done ; \
1569 @INSTALL_HELP_XML_TRUE@         fi; \
1570 @INSTALL_HELP_XML_TRUE@  fi; \
1571 @INSTALL_HELP_XML_TRUE@ done; \
1572 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1573 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1574 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1575 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1576 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1577 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1578 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1579 @INSTALL_HELP_XML_TRUE@           done ; \
1580 @INSTALL_HELP_XML_TRUE@         fi; \
1581 @INSTALL_HELP_XML_TRUE@ fi
1582 install-data-local:
1583 # Install the tests
1584         @echo "-------- Install tests (if any) --------"; \
1585         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1586           if test -d $(srcdir)/$$dir/; then \
1587             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1588                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1589                     if test -d "$(srcdir)/$$dir/$$file"; then \
1590                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1591                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1592                     else \
1593                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1594                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1595                     fi \
1596                   done; \
1597           fi; \
1598         done
1599 # Install the help chapter
1600         @echo "-------- Install the help chapter (if any) --------"; \
1601         for lang in $(HELP_CHAPTERLANG); do \
1602                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1603                 if test -f $$HELPFILE; then \
1604                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1605                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1606                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1607                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1608                 fi; \
1609         done
1610 # Install the demos & examples
1611         @echo "-------- Install demos & examples (if any) --------"; \
1612         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1613           if test -d $(srcdir)/$$dir/; then \
1614             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1615                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1616                     if test -d "$(srcdir)/$$dir/$$file"; then \
1617                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1618                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1619                     else \
1620                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1621                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1622                     fi \
1623                   done; \
1624           fi; \
1625         done
1626 # Install the macros
1627         @echo "-------- Install macros (if any) --------"; \
1628         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1629           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1630                 if test -d $(srcdir)/$$dir/; then \
1631                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1632                         if test -n "$(MACROSSPECIALEXT)"; then \
1633                                 specialExtDir=""; \
1634                                 for specialExt in $(MACROSSPECIALEXT); do \
1635                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1636                                 done; \
1637                                 FILELIST="$$FILELIST $$specialExtDir"; \
1638                         fi; \
1639                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1640                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1641                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1642                   done; \
1643                 fi; \
1644         done
1645 # Install java files (.jar)
1646         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1647         echo "-------- Install jar files --------"; \
1648     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1649           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1650                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1651                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1652           done ; \
1653         fi
1654
1655 ########### CLEAN ###################
1656 # Clean help (generated automatically by Scilab)
1657 # It used to clean the macro (clean-macros) but this was causing
1658 # make clean && make to fail Scilab startup
1659 @NEED_JAVA_TRUE@clean-local: clean-java
1660 @NEED_JAVA_FALSE@clean-local:
1661
1662 distclean-local:
1663         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1664
1665 .PHONY: macros java swig giws
1666
1667 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1668 # Otherwise a system limit (for SysV at least) may be exceeded.
1669 .NOEXPORT: